FolderItemParser Class Reference

Reads and writes data in application/vnd.omads-folder+xml format. More...

`#include <FolderItemParser.h>`

## Classes

struct | FolderData
| Structure for storing folder data. More...

## Static Public Member Functions

static bool | readFolderData (const QByteArray &aRawData, FolderData &aFolderData)
| Parses folder data from the provided byte array.
static QByteArray | writeFolderData (const FolderData &aFolderData)
| Writes folder data to a byte array.
static bool | readFolderData (const QByteArray &aRawData, FolderData &aFolderData)
| Parses folder data from the provided byte array.
static QByteArray | writeFolderData (const FolderData &aFolderData)
| Writes folder data to a byte array.

## Static Public Attributes

static const QString | FOLDER_MIME_TYPE
| Folder item MIME type.

## Friends

class | FolderItemParserTest

## Detailed Description

Reads and writes data in application/vnd.omads-folder+xml format.

## Member Function Documentation

## readFolderData() [1/2]

bool FolderItemParser::readFolderData | ( | const QByteArray & | aRawData,
|  | FolderData & | aFolderData )

static

Parses folder data from the provided byte array.

Parameters

  aRawData | Raw data in vnd.omads-folder-xml format.
  aFolderData | Parsed folder data.

Returns
  Success indicator.

## readFolderData() [2/2]

bool FolderItemParser::readFolderData | ( | const QByteArray & | aRawData,
|  | FolderData & | aFolderData )

static

Parses folder data from the provided byte array.

Parameters

  aRawData | Raw data in vnd.omads-folder-xml format.
  aFolderData | Parsed folder data.

Returns
  Success indicator.

## writeFolderData() [1/2]

QByteArray FolderItemParser::writeFolderData | ( | const FolderData & | aFolderData | ) |

static

Writes folder data to a byte array.

Parameters

  aFolderData | Folder data to write.

Returns
  Folder data in vnd.omads-folder+xml format.

## writeFolderData() [2/2]

QByteArray FolderItemParser::writeFolderData | ( | const FolderData & | aFolderData | ) |

static

Writes folder data to a byte array.

Parameters

  aFolderData | Folder data to write.

Returns
  Folder data in vnd.omads-folder+xml format.

The documentation for this class was generated from the following files:

- debian/tmp/usr/include/syncmlcommon/FolderItemParser.h
- syncmlcommon/FolderItemParser.h